# TODO
# - why it was needed to move code to py_sitedir in 99929afd5fede7d191f944c30d2cfa692454ba84 ?
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

Summary:	Deprecation library for Python code
Summary(pl.UTF-8):	Biblioteka odradzająca dla kodu w Pythonie
Name:		Zope-Deprecation
Version:	4.0.2
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.deprecation/zope.deprecation-%{version}.tar.gz
# Source0-md5:	5f8cecce85f2783f9e020f1288e908fd
URL:		http://docs.zope.org/zope.deprecation/
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	Zope-Testing
Requires:	python-modules
# not noarch because of py_sitedir in 99929afd5fede7d191f944c30d2cfa692454ba84
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%description -l pl.UTF-8
Biblioteka odradzająca dla kodu w Pythonie.

%prep
%setup -q -n zope.deprecation-%{version}

%build
%{__python} setup.py build

%{?with_tests:%{__python} setup.py test}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--install-purelib=%{py_sitedir} \
	--skip-build \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/zope/deprecation/tests.py[co]

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt
%dir %{py_sitedir}/zope/deprecation
%{py_sitedir}/zope/deprecation/*.py[co]
%{py_sitedir}/zope.deprecation-*.egg-info
%{py_sitedir}/zope.deprecation-*-nspkg.pth
%changelog
* Sun Jan 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Zope-Deprecation.git;a=log;h=master

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 191b9d4
up to 4.0.2, update url and desc

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> cdc48a7
enable testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 33398c0
rebuild for python eggs; verbose files; add testing

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> c37bfcd
rebuild for python eggs; verbose files

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 449afe7
- BR: python-setuptools

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 23ad4a6
- release 4

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> 4024cce
- use pypi source
- rel. 3

* Tue Mar 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 26149b4
- py_sitedir is not noarch

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> 99929af
- moved to py_sitedir
- rel. 2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 853d4e5
- pl
- python deps
- noarch

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 727fd8f
- fixed install requirements

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 69d8a7d
- fixed summary/description/license/group/url
- rel. 1

* Mon Sep 10 2007 wrobell <wrobell@pld-linux.org> 25e6830
- based on Zope-Testing.spec

